package nc.vo.pub.filesystem;

import com.sun.image.codec.jpeg.JPEGCodec;
import com.sun.image.codec.jpeg.JPEGEncodeParam;
import com.sun.image.codec.jpeg.JPEGImageEncoder;
import java.awt.image.BufferedImage;
import java.awt.image.ImageObserver;
import java.io.ByteArrayOutputStream;
import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import javax.imageio.ImageIO;
import javax.swing.ImageIcon;
import nc.bs.logging.Logger;

public class FileCompression {

   public static String doCompressFile(String oldFile, int width, int height, float quality, String smallIcon, boolean percentage) {
      if(oldFile != null && width > 0 && height > 0) {
         BufferedImage srcFile = null;
         String newImage = null;

         try {
            File e = new File(oldFile);
            if(!e.exists()) {
               Object new_w1 = null;
               return (String)new_w1;
            }

            srcFile = ImageIO.read(e);
            int new_w = width;
            int new_h = height;
            if(percentage) {
               double tag = (double)srcFile.getWidth((ImageObserver)null) / (double)width + 0.1D;
               double out = (double)srcFile.getHeight((ImageObserver)null) / (double)height + 0.1D;
               double jep = tag > out?tag:out;
               new_w = (int)((double)srcFile.getWidth((ImageObserver)null) / jep);
               new_h = (int)((double)srcFile.getHeight((ImageObserver)null) / jep);
            }

            BufferedImage tag1 = new BufferedImage(new_w, new_h, 1);
            tag1.getGraphics().drawImage(srcFile, 0, 0, new_w, new_h, (ImageObserver)null);
            String filePrex = oldFile.substring(0, oldFile.lastIndexOf(46));
            newImage = filePrex + smallIcon + oldFile.substring(filePrex.length());
            FileOutputStream out1 = new FileOutputStream(newImage);
            JPEGImageEncoder encoder = JPEGCodec.createJPEGEncoder(out1);
            JPEGEncodeParam jep1 = JPEGCodec.getDefaultJPEGEncodeParam(tag1);
            jep1.setQuality(quality, true);
            encoder.encode(tag1, jep1);
            out1.close();
         } catch (FileNotFoundException var21) {
            Logger.error(var21);
         } catch (IOException var22) {
            Logger.error(var22);
         } finally {
            if(srcFile != null) {
               srcFile.flush();
            }

         }

         return newImage;
      } else {
         return null;
      }
   }

   public static BufferedImage doCompressImage(BufferedImage inputimage, double width, double height) {
      try {
         if(inputimage != null) {
            ImageIcon e = new ImageIcon(inputimage);
            double rateh = (double)e.getIconHeight() / height;
            double ratew = (double)e.getIconWidth() / width;
            double rate = rateh > ratew?rateh:ratew;
            int new_w = (int)((double)e.getIconWidth() / rate);
            int new_h = (int)((double)e.getIconHeight() / rate);
            BufferedImage tag = new BufferedImage(new_w, new_h, 1);
            tag.getGraphics().drawImage(inputimage, 0, 0, new_w, new_h, (ImageObserver)null);
            return tag;
         }
      } catch (Exception var15) {
         Logger.error(var15);
      }

      return null;
   }

   public static ByteArrayOutputStream doCompressImageStream(InputStream input, double width, double height, ByteArrayOutputStream out) {
      BufferedImage srcFile = null;

      try {
         if(input != null) {
            srcFile = ImageIO.read(input);
            doCompressImage(srcFile, width, height, out);
            return out;
         }
      } catch (Exception var8) {
         Logger.error(var8);
      }

      return null;
   }

   public static ByteArrayOutputStream doCompressImage(BufferedImage image, double width, double height, ByteArrayOutputStream out) {
      try {
         if(image != null) {
            ImageIcon e = new ImageIcon(image);
            double rateh = (double)e.getIconHeight() / height;
            double ratew = (double)e.getIconWidth() / width;
            double rate = rateh > ratew?rateh:ratew;
            int new_w = (int)((double)e.getIconWidth() / rate);
            int new_h = (int)((double)e.getIconHeight() / rate);
            BufferedImage tag = new BufferedImage(new_w, new_h, 1);
            tag.getGraphics().drawImage(image, 0, 0, new_w, new_h, (ImageObserver)null);
            JPEGImageEncoder encoder = JPEGCodec.createJPEGEncoder(out);
            JPEGEncodeParam jep = JPEGCodec.getDefaultJPEGEncodeParam(tag);
            jep.setQuality(1.0F, true);
            encoder.encode(tag, jep);
            return out;
         }
      } catch (Exception var18) {
         Logger.error(var18);
      }

      return null;
   }

   public static void main(String[] str) {
      Logger.error("ok...");
   }
}
